function liste = nachbarn( mittelpunkt )
%NACHBARN Gibt für einen beliebigen Zellenindex eine Liste der Indizes der direkten
%Nachbarzellen zurück
%   Die zurückgegebene Liste enthält *immer* sechs Indizes, auch wenn diese
%   außerhalb des Gitters liegen. Ob ein Index gültig ist, muss separat
%   geprüft werden.Die Reihenfolge ist vom oberen Nachbarn beginnend im
%   Uhrzeigersinn.

global DX;

liste = [ mittelpunkt+2*DX, ...
          mittelpunkt+DX+1+mod(idivide(mittelpunkt,uint32(DX)),2), ...
          mittelpunkt-DX+1+mod(idivide(mittelpunkt,uint32(DX)),2), ...
          mittelpunkt-2*DX, ...
          mittelpunkt-DX-2+mod(idivide(mittelpunkt,uint32(DX)),2), ...
          mittelpunkt+DX-2+mod(idivide(mittelpunkt,uint32(DX)),2) ];

end

